View Issue Details

IDProjectCategoryView StatusLast Update
0001758Ham Radio DeluxeBugpublic2017-06-19 21:27
Reporteruser36 
Assigned ToW4PC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.8.323 
Summary0001758: DM-780 - Buffered text truncated when <STOP> is included
DescriptionCustomer reports:

This DM-780 macro in Beta 310 will only send 'K6' - <my:callsign><erase> <stop>

The same macro is Beta 303 sends the entire callsign.

Discovered that if I insert one space character after the my:callsign> tag, thne 'K6M' is sent.

I can get the the entire callsign sent if I put 3 space characters after the my:callsign> tag.

I've reverted to Beta 303 until this is fixed.

Thanks.
Steps To Reproduce- Open DM
- Switch to any CW or RTTY mode (CW(SSB) CW(Winkey) RTTY(AFSK) and RTTY(FSK) were tested.)
- Use a macro with a <STOP> at the end.
- Hit F4 or click Send(F4)
- Observe transmitted data in the RX window and check any sidetone or external receiver to see that a certain amount is truncated
Additional InformationThe test message in the buffer:
VVV VVV VVV de N6EY N6EY N6EY pse.k.<stop>

Transmitted characters:
CW(SSB):
VVV VVV VVV DE N6EY N6EY N6EY PSE

CW(Winkey):
VVV VVV VVV DE N6EY N6EY N6EY PSE

RTTY(AFSK):
VVV VVV VVV DE N6EY N6EY N6EY PSE.K

RTTY(FSK):
VVV VVV VVV DE N6EY N6EY N6EY PSE.K

BPSK31:
VVV VVV VVV de N6EY N6EY N6EY pse.k. (Transmits the full buffer)
TagsNo tags attached.
ModuleDM780
Sub-Module(select)
Testing

Relationships

related to 0001755 closeduser36 DM-780 WinKey Issues: stops - drops macro ends 
related to 0001757 closeduser36 DM-780 Winkey and CW 

Activities

user36

2014-12-05 11:54

  ~0000582

Verified in builds 310 and 312.

W4PC

2014-12-17 14:38

updater   ~0000584

work around added for 317...

W4PC

2014-12-17 14:39

updater   ~0000585

kludged for code but needs full fix...

user36

2014-12-26 13:29

  ~0000588

Does not work. Adds spaces each time the macro is run - not acceptable for calling CQ, etc.

user36

2015-01-06 20:38

  ~0000604

Fixed in build 322.

Issue History

Date Modified Username Field Change
2014-12-05 11:53 user36 New Issue
2014-12-05 11:54 user36 Note Added: 0000582
2014-12-10 19:26 user36 Relationship added related to 0001755
2014-12-10 19:28 user36 Relationship added related to 0001757
2014-12-13 22:53 WA9PIE Summary Bug: DM-780 - Buffered text truncated when <STOP> is included => Beta Bug: DM-780 - Buffered text truncated when <STOP> is included
2014-12-17 14:38 W4PC Note Added: 0000584
2014-12-17 14:39 W4PC Note Added: 0000585
2014-12-17 14:39 W4PC Status new => resolved
2014-12-17 14:39 W4PC Resolution open => fixed
2014-12-17 14:39 W4PC Assigned To => W4PC
2014-12-26 13:29 user36 Note Added: 0000588
2015-01-06 20:38 user36 Note Added: 0000604
2015-01-06 20:38 user36 Status resolved => closed
2015-01-06 20:48 user36 Project @9@ => Ham Radio Deluxe
2015-09-30 12:01 WA9PIE Fix Build => (select)
2015-09-30 12:01 WA9PIE Module => (select)
2015-09-30 12:01 WA9PIE Release => (select)
2015-09-30 12:01 WA9PIE Proposed Release => TBD
2015-09-30 12:01 WA9PIE Summary Beta Bug: DM-780 - Buffered text truncated when <STOP> is included => DM-780 - Buffered text truncated when <STOP> is included
2015-09-30 13:14 WA9PIE Module (select) => DM780
2015-09-30 13:33 WA9PIE Category General => Bug
2017-06-19 21:27 WA9PIE Fixed in Version => 6.2.8.323
2017-06-19 21:27 WA9PIE Sub-Module => (select)